Error installing PYADI-IIO rev 0.0.6

I'm using a windows computer with Pluto.  And I have PYADI-IIO rev 0.0.5 installed and it all works great.

I saw rev 0.0.6 was recently released, so I upgraded to that.  But now when I try to run my same Python script, I get

ModuleNotFoundError: No module named 'fs'

Complete error messages here:

[autoreload of adi.adrv9009 failed: Traceback (most recent call last):
File "C:\Users\jkraft\Anaconda3\lib\site-packages\IPython\extensions\autoreload.py", line 245, in check
superreload(m, reload, self.old_objects)
File "C:\Users\jkraft\Anaconda3\lib\site-packages\IPython\extensions\autoreload.py", line 394, in superreload
module = reload(module)
File "C:\Users\jkraft\Anaconda3\lib\imp.py", line 314, in reload
return importlib.reload(module)
File "C:\Users\jkraft\Anaconda3\lib\importlib\__init__.py", line 169, in reload
_bootstrap._exec(spec, module)
File "<frozen importlib._bootstrap>", line 604, in _exec
File "<frozen importlib._bootstrap_external>", line 783, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\adrv9009.py", line 35, in <module>
from adi.jesd import jesd as jesdadi
File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\jesd.py", line 34, in <module>
import fs
ModuleNotFoundError: No module named 'fs'
]
[autoreload of adi failed: Traceback (most recent call last):
File "C:\Users\jkraft\Anaconda3\lib\site-packages\IPython\extensions\autoreload.py", line 245, in check
superreload(m, reload, self.old_objects)
File "C:\Users\jkraft\Anaconda3\lib\site-packages\IPython\extensions\autoreload.py", line 394, in superreload
module = reload(module)
File "C:\Users\jkraft\Anaconda3\lib\imp.py", line 314, in reload
return importlib.reload(module)
File "C:\Users\jkraft\Anaconda3\lib\importlib\__init__.py", line 169, in reload
_bootstrap._exec(spec, module)
File "<frozen importlib._bootstrap>", line 604, in _exec
File "<frozen importlib._bootstrap_external>", line 783, in exec_module
File "<frozen importlib._bootstrap>", line 219, in _call_with_frames_removed
File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\__init__.py", line 72, in <module>
from adi.jesd import *
File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\jesd.py", line 34, in <module>
import fs
ModuleNotFoundError: No module named 'fs'
]
Traceback (most recent call last):

File "C:\Users\jkraft\OneDrive - Analog Devices, Inc\FAE\RF\SDR AD9361 and 71\GNUradio\FSK Radar\Pluto_FSK_rev1.py", line 21, in <module>
import adi

File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\__init__.py", line 42, in <module>
from adi.adrv9009 import *

File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\adrv9009.py", line 35, in <module>
from adi.jesd import jesd as jesdadi

File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\jesd.py", line 34, in <module>
import fs

ModuleNotFoundError: No module named 'fs'


During handling of the above exception, another exception occurred:

Traceback (most recent call last):

File "C:\Users\jkraft\OneDrive - Analog Devices, Inc\FAE\RF\SDR AD9361 and 71\GNUradio\FSK Radar\Pluto_FSK_rev1.py", line 24, in <module>
import adi

File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\__init__.py", line 42, in <module>
from adi.adrv9009 import *

File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\adrv9009.py", line 35, in <module>
from adi.jesd import jesd as jesdadi

File "C:\Users\jkraft\AppData\Local\Programs\Python\Python39\Lib\site-packages\adi\jesd.py", line 34, in <module>
import fs

ModuleNotFoundError: No module named 'fs'

Parents Reply Children
No Data